%global pkgvers 0
%global scdate0 20240126
%global schash0 8ee08c6b78a398bc610f06d110c7285dea034a84
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-mgw.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-mgw
Version:        1.12.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom Media Gateway interface
License:        AGPLv3

URL:            https://osmocom.org/projects/osmo-mgw/wiki

BuildRequires:  git gcc autoconf automake libtool doxygen systemd
BuildRequires:  libosmocore-devel libosmo-netif-devel libosmo-abis-devel

%undefine _hardened_build
%undefine _annotated_build

%description
Media Gateway implementation that is capable of streaming
RTP for 2G (AoIP) and 3G (IuCS) GSM networks as well.

%package          devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description      devel
Development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i -e 's|UNKNOWN|%{version}|g' %{buildroot}/%{_libdir}/pkgconfig/*.pc


%check
make check || true


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README
%doc %{_docdir}/%{name}
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- git update releases
